Method: regionHealthSources.getHealth

Gets the most recent health check results for this regional HealthSource.

HTTP request

GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/healthSources/{healthSource}/getHealth

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
project

string

Name of the project scoping this request.

region

string

Name of the region scoping this request.

healthSource

string

Name of the HealthSource resource to get health for.

Request body

The request body must be empty.

Response body

Response message for RegionHealthSources.GetHealth

If successful, the response body contains data with the following structure:

JSON representation
{
  "kind": string,
  "healthState": enum,
  "sources": [
    {
      "source": string,
      "forwardingRule": string,
      "backends": [
        {
          "group": string,
          "healthyEndpointCount": integer,
          "endpointCount": integer
        }
      ]
    }
  ]
}
Fields
kind

string

[Output Only] Type of resource. Always compute#healthSourceHealth for the health of health sources.

healthState

enum

Health state of the HealthSource.

sources[]

object

Health state details of the sources.

sources[].source

string

Fully qualified URL of the associated source resource. This is always a backend service URL.

sources[].forwardingRule

string

Fully qualified URL of the forwarding rule associated with the source resource if it is a L4ILB backend service.

sources[].backends[]

object

Represents an instance group or network endpoint group behind the source backend service. Only used if the sourceType of the regionHealthSource is BACKEND_SERVICE.

sources[].backends[].group

string

Fully qualified URL of an instance group or network endpoint group behind the source backend service.

sources[].backends[].healthyEndpointCount

integer

Number of endpoints considered healthy when determining health of the regionHealthSource.

sources[].backends[].endpointCount

integer

Total number of endpoints when determining the health of the regionHealthSource.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.regionHealthSources.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.